Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects.metadata
Class ObjectFactory

    java.lang.Object
      com.sun.mdm.index.objects.metadata.ObjectFactory

public class ObjectFactory
extends java.lang.Object

Field Summary
`static java.lang.String` | `BOOLEAN`
`static java.lang.String` | `CHAR`
`static java.lang.String` | `DATE`
`static java.lang.String` | `ENTERPRISETAG` enterprise tag
`static java.lang.String` | `FLOAT`
`static java.lang.String` | `LONG`
`static java.lang.String` | `LONGRAW`
`static java.lang.String` | `NODESEPARATOR` node separator
`static java.lang.String` | `NUMBER`
`static java.lang.String` | `SYSTEMOBJECTTAG` systemobject tag
`static java.lang.String` | `SYSTEMSBRTAG` sbr tag
`static java.lang.String` | `TIMESTAMP`
`static java.lang.String` | `VARCHAR2`

Constructor Summary
`protected` | `ObjectFactory()` protected

Method Summary
`static ObjectNode` | `create(java.lang.String tag)`
`static java.lang.String` | `getApplicationName()`
`static java.lang.String[]` | `getChildTypePaths(java.lang.String path)`
`static java.lang.String[]` | `getChildTypes(java.lang.String path)`
`static java.lang.String` | `getColumnName(java.lang.String path)`
`static java.lang.String[][]` | `getColumnNameTypes(java.lang.String path)`
`static java.lang.String` | `getColumnType(java.lang.String path)`
`static java.lang.String` | `getConstraintBy(java.lang.String path)`
`static java.lang.String` | `getDatabase()`
`static java.lang.String` | `getDateFormat()`
`static DBMetaAttribute` | `getDBAttribute(java.lang.String path)`
`static java.lang.String[]` | `getDBParentTableNames(java.lang.String path)`
`static java.lang.String[]` | `getDBParentTablePK(java.lang.String path)`
`static java.lang.String[]` | `getDBTableFK(java.lang.String path)`
`static java.lang.String[]` | `getDBTableFK(java.lang.String path, java.lang.String parent)`
`static java.lang.String` | `getDBTableName(java.lang.String path)`
`static java.lang.String[]` | `getDBTablePK(java.lang.String path)`
`static java.lang.String` | `getFieldName(java.lang.String path)`
`static java.lang.String[]` | `getFieldPaths(java.lang.String path)`
`static java.lang.String[]` | `getFields(java.lang.String path)`
`static int` | `getFieldSize(java.lang.String path)`
`static java.lang.String` | `getFieldType(java.lang.String path)`
`static ObjectFactory` | `getInstance()`
`static EIndexObject` | `getObjectDef()`
`static java.lang.String[]` | `getObjectKeys(java.lang.String path)`
`static java.lang.String[]` | `getParentPK(java.lang.String path)`
`static java.lang.String` | `getParentType(java.lang.String path)`
`static java.lang.String` | `getParentTypePath(java.lang.String path)`
`static java.lang.String[]` | `getPrimaryKey(java.lang.String path)`
`static java.lang.String` | `getSBRPath(java.lang.String tag)`
`static java.lang.String` | `getSOPath(java.lang.String tag)`
`static java.lang.String` | `getUserCode(java.lang.String path)`
`static void` | `init()`
`static boolean` | `isDatabaseANSI()` does Database requires ANSI queries
`static boolean` | `isEPathValid(java.lang.String epath)`
`static boolean` | `isFieldNodePath(java.lang.String path)`
`static boolean` | `isFieldRequired(java.lang.String path)`
`static boolean` | `isFieldUpdateable(java.lang.String path)`
`static boolean` | `isObjectNode(java.lang.String tag)`
`static boolean` | `isObjectNodePath(java.lang.String path)`
`static boolean` | `isPathValid(java.lang.String path)`
`static void` | `main(java.lang.String[] args)` The main program for the ObjectFactory class
`static void` | `setObject(EIndexObject object)` Set object def stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOOLEAN

    public static final java.lang.String BOOLEAN

See Also:
  Constant Field Values

### CHAR

    public static final java.lang.String CHAR

See Also:
  Constant Field Values

### DATE

    public static final java.lang.String DATE

See Also:
  Constant Field Values

### ENTERPRISETAG

    public static final java.lang.String ENTERPRISETAG

  enterprise tag

  See Also:
    Constant Field Values

### FLOAT

    public static final java.lang.String FLOAT

See Also:
  Constant Field Values

### LONG

    public static final java.lang.String LONG

See Also:
  Constant Field Values

### LONGRAW

    public static final java.lang.String LONGRAW

See Also:
  Constant Field Values

### NODESEPARATOR

    public static final java.lang.String NODESEPARATOR

  node separator

  See Also:
    Constant Field Values

### NUMBER

    public static final java.lang.String NUMBER

See Also:
  Constant Field Values

### SYSTEMOBJECTTAG

    public static final java.lang.String SYSTEMOBJECTTAG

  systemobject tag

  See Also:
    Constant Field Values

### SYSTEMSBRTAG

    public static final java.lang.String SYSTEMSBRTAG

  sbr tag

  See Also:
    Constant Field Values

### TIMESTAMP

    public static final java.lang.String TIMESTAMP

See Also:
  Constant Field Values

### VARCHAR2

    public static final java.lang.String VARCHAR2

See Also:
  Constant Field Values

Constructor Detail

### ObjectFactory

    protected ObjectFactory()

  protected

Method Detail

### create

    public static ObjectNode create(java.lang.String tag)
                             throws ObjectException

  Parameters:
    `tag` - tag
  Returns:
    ObjectNode create an empty instance of ObjectNode
  Throws:
    `ObjectException` - object exception

### getApplicationName

    public static java.lang.String getApplicationName()

  Returns:
    String ret String

### getChildTypePaths

    public static java.lang.String[] getChildTypePaths(java.lang.String path)
                                                throws ObjectException

  Parameters:
    `path` - object path path
  Returns:
    String[] string array of child types
  Throws:
    `ObjectException` - object exception object exception

### getChildTypes

    public static java.lang.String[] getChildTypes(java.lang.String path)
                                            throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String[] string array of child types
  Throws:
    `ObjectException` - object exception

### getColumnName

    public static java.lang.String getColumnName(java.lang.String path)
                                          throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String column name
  Throws:
    `ObjectException` - object exception

### getColumnNameTypes

    public static java.lang.String[][] getColumnNameTypes(java.lang.String path)
                                                   throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String[][] 2D array of column names and types
  Throws:
    `ObjectException` - object exception

### getColumnType

    public static java.lang.String getColumnType(java.lang.String path)
                                          throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String column type
  Throws:
    `ObjectException` - object exception

### getConstraintBy

    public static java.lang.String getConstraintBy(java.lang.String path)
                                            throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String constraint by for AUXID pull down
  Throws:
    `ObjectException` - object exception

### getDatabase

    public static java.lang.String getDatabase()

### getDateFormat

    public static java.lang.String getDateFormat()

### getDBAttribute

    public static DBMetaAttribute getDBAttribute(java.lang.String path)
                                          throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    DBMetaAttribute database metadata attributes
  Throws:
    `ObjectException` - object exception

### getDBParentTableNames

    public static java.lang.String[] getDBParentTableNames(java.lang.String path)
                                                    throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String[] parent table names
  Throws:
    `ObjectException` - object exception

### getDBParentTablePK

    public static java.lang.String[] getDBParentTablePK(java.lang.String path)
                                                 throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String[] parent table primary keys
  Throws:
    `ObjectException` - object exception

### getDBTableFK

    public static java.lang.String[] getDBTableFK(java.lang.String path)
                                           throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String[] table foreign keys
  Throws:
    `ObjectException` - object exception

### getDBTableFK

    public static java.lang.String[] getDBTableFK(java.lang.String path,
                                                  java.lang.String parent)
                                           throws ObjectException

  Parameters:
    `path` - object path
    `parent` - parent
  Returns:
    String[] table foreign keys
  Throws:
    `ObjectException` - object exception

### getDBTableName

    public static java.lang.String getDBTableName(java.lang.String path)
                                           throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String table name
  Throws:
    `ObjectException` - object exception

### getDBTablePK

    public static java.lang.String[] getDBTablePK(java.lang.String path)
                                           throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String[] table primary keys
  Throws:
    `ObjectException` - object exception

### getFieldName

    public static java.lang.String getFieldName(java.lang.String path)
                                         throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String field name
  Throws:
    `ObjectException` - object exception

### getFieldPaths

    public static java.lang.String[] getFieldPaths(java.lang.String path)
                                            throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String[] field paths
  Throws:
    `ObjectException` - object exception

### getFields

    public static java.lang.String[] getFields(java.lang.String path)
                                        throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String[] field names
  Throws:
    `ObjectException` - object exception

### getFieldSize

    public static int getFieldSize(java.lang.String path)
                            throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    int field size
  Throws:
    `ObjectException` - object exception

### getFieldType

    public static java.lang.String getFieldType(java.lang.String path)
                                         throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String field type
  Throws:
    `ObjectException` - object exception

### getInstance

    public static ObjectFactory getInstance()

  Returns:
    ObjectFactory get instance

### getObjectDef

    public static EIndexObject getObjectDef()

  Returns:
    EIndexObject object definition

### getObjectKeys

    public static java.lang.String[] getObjectKeys(java.lang.String path)
                                            throws ObjectException

  Parameters:
    `path` - object path object path
  Returns:
    String[] string array of object keys
  Throws:
    `ObjectException` - object exception object exception

### getParentPK

    public static java.lang.String[] getParentPK(java.lang.String path)
                                          throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String[] parent table primary keys
  Throws:
    `ObjectException` - object exception

### getParentType

    public static java.lang.String getParentType(java.lang.String path)
                                          throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String parent type/tag
  Throws:
    `ObjectException` - object exception

### getParentTypePath

    public static java.lang.String getParentTypePath(java.lang.String path)
                                              throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String parent type path
  Throws:
    `ObjectException` - object exception

### getPrimaryKey

    public static java.lang.String[] getPrimaryKey(java.lang.String path)
                                            throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String[] primarykey field names
  Throws:
    `ObjectException` - object exception

### getSBRPath

    public static java.lang.String getSBRPath(java.lang.String tag)
                                       throws ObjectException

  Parameters:
    `tag` - tag
  Returns:
    String SBR path
  Throws:
    `ObjectException` - object exception

### getSOPath

    public static java.lang.String getSOPath(java.lang.String tag)
                                      throws ObjectException

  Parameters:
    `tag` - tag
  Returns:
    String system object path
  Throws:
    `ObjectException` - object exception

### getUserCode

    public static java.lang.String getUserCode(java.lang.String path)
                                        throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    String user code for AUXID pull down
  Throws:
    `ObjectException` - object exception

### init

    public static void init()

### isDatabaseANSI

    public static boolean isDatabaseANSI()

  does Database requires ANSI queries

  Returns:
    true is DB Type is ANSI

### isEPathValid

    public static boolean isEPathValid(java.lang.String epath)

  Parameters:
    `epath` - object path
  Returns:
    boolean if epath is valid

### isFieldNodePath

    public static boolean isFieldNodePath(java.lang.String path)

  Parameters:
    `path` - object path
  Returns:
    boolean if path is of field node

### isFieldRequired

    public static boolean isFieldRequired(java.lang.String path)
                                   throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    boolean field required
  Throws:
    `ObjectException` - object exception

### isFieldUpdateable

    public static boolean isFieldUpdateable(java.lang.String path)
                                     throws ObjectException

  Parameters:
    `path` - object path
  Returns:
    boolean field updateable
  Throws:
    `ObjectException` - object exception

### isObjectNode

    public static boolean isObjectNode(java.lang.String tag)

  Parameters:
    `tag` - tag
  Returns:
    boolean if path is of object node

### isObjectNodePath

    public static boolean isObjectNodePath(java.lang.String path)

  Parameters:
    `path` - object path
  Returns:
    boolean if path is of object node path

### isPathValid

    public static boolean isPathValid(java.lang.String path)

  Parameters:
    `path` - object path
  Returns:
    boolean if path is valid

### main

    public static void main(java.lang.String[] args)

  The main program for the ObjectFactory class

  Parameters:
    `args` - The command line arguments

### setObject

    public static void setObject(EIndexObject object)

  Set object def stream

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.